import request from '@/utils/request'

// 查询产线信息列表
export function listProductLine(query) {
  return request({
    url: '/base/productLine/list',
    method: 'get',
    params: query
  })
}

// 查询产线信息列表
export function findProductLineList(query) {
  return request({
    url: '/base/productLine/findProductLineList',
    method: 'get',
    params: query
  })
}

// 查询产线信息详细
export function getProductLine(objId) {
  return request({
    url: '/base/productLine/' + objId,
    method: 'get'
  })
}

// 新增产线信息
export function addProductLine(data) {
  return request({
    url: '/base/productLine',
    method: 'post',
    data: data
  })
}

// 修改产线信息
export function updateProductLine(data) {
  return request({
    url: '/base/productLine',
    method: 'put',
    data: data
  })
}

// 删除产线信息
export function delProductLine(objId) {
  return request({
    url: '/base/productLine/' + objId,
    method: 'delete'
  })
}
